Bug 24649 - Cloning item subfields misses a <li> tag
Summary: Cloning item subfields misses a <li> tag
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-02-13 08:42 UTC by Marcel de Rooy
Modified: 2020-03-09 20:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.04, 19.05.09


Attachments
Bug 24649: Cloning item subfields misses a <li> tag (1.65 KB, patch)
2020-02-13 09:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Spacing between cloned subfields (237.78 KB, image/jpeg)
2020-02-13 09:25 UTC, Marcel de Rooy
Details
Bug 24649: Fix missing <li> tag on item editor for cloned subfield (1.69 KB, patch)
2020-02-13 09:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24649: Fix missing <li> tag on batch mod item for cloned subfield (1.57 KB, patch)
2020-02-13 09:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24649: Fix two other missing <li> tags for cloned subfields (3.59 KB, patch)
2020-02-13 13:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 24649: Fix missing <li> tag on item editor for cloned subfield (1.70 KB, patch)
2020-02-13 20:16 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24649: Fix two other missing <li> tags for cloned subfields (3.60 KB, patch)
2020-02-13 20:16 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24649: Fix two other missing <li> tags for cloned subfields (3.67 KB, patch)
2020-02-14 14:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24649: Fix missing <li> tag on item editor for cloned subfield (1.76 KB, patch)
2020-02-14 14:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24649: Fix two other missing <li> tags for cloned subfields (3.67 KB, patch)
2020-02-14 14:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-02-13 08:42:13 UTC
Mark an item subfield like URI as repeatable. And clone it in the item editor. You see some styling issues.
Comment 1 Marcel de Rooy 2020-02-13 09:10:29 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2020-02-13 09:25:17 UTC
Created attachment 98795 [details]
Spacing between cloned subfields
Comment 3 Marcel de Rooy 2020-02-13 09:37:38 UTC
Created attachment 98797 [details] [review]
Bug 24649: Fix missing <li> tag on item editor for cloned subfield

Instead of the parentNode (which is a div), we need the parent of the div
(which is a li).
So a simple fix.

Test plan:
To see the difference, test first without patch applied:
Mark item subfield, say URI, as repeatable.
Clone that subfield in item editor.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2020-02-13 09:37:42 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2020-02-13 09:41:25 UTC
Left one small thing on serials/serials-edit.
Cloning on serial edit works, but the spacing between the original and cloned subfield is different from normal. See the attached image.
Owen: Any chance to add a patch here for styling?
Comment 6 Owen Leonard 2020-02-13 13:09:56 UTC
Marcel I don't think it's a styling issue. I think serials-edit.tt needs the same correction you made to additem.tt and batchMod-edit.tt.
Comment 7 Marcel de Rooy 2020-02-13 13:39:04 UTC
Created attachment 98829 [details] [review]
Bug 24649: Fix two other missing <li> tags for cloned subfields

Same problem as previous patch in Batch item modification as well as
serial-edit.pl.

Test plan:
[1] Go to Tools/Batch item modification.
    Test cloning subfield on batchMod-edit.
[2] Go to a serial with "Create item when receiving".
    Receive an issue. Click add item.
    Test cloning subfield.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2020-02-13 13:39:36 UTC
(In reply to Owen Leonard from comment #6)
> Marcel I don't think it's a styling issue. I think serials-edit.tt needs the
> same correction you made to additem.tt and batchMod-edit.tt.

Thanks. You are right.
Comment 9 Aleisha Amohia 2020-02-13 20:16:46 UTC
Created attachment 98887 [details] [review]
Bug 24649: Fix missing <li> tag on item editor for cloned subfield

Instead of the parentNode (which is a div), we need the parent of the div
(which is a li).
So a simple fix.

Test plan:
To see the difference, test first without patch applied:
Mark item subfield, say URI, as repeatable.
Clone that subfield in item editor.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
Comment 10 Aleisha Amohia 2020-02-13 20:16:54 UTC
Created attachment 98888 [details] [review]
Bug 24649: Fix two other missing <li> tags for cloned subfields

Same problem as previous patch in Batch item modification as well as
serial-edit.pl.

Test plan:
[1] Go to Tools/Batch item modification.
    Test cloning subfield on batchMod-edit.
[2] Go to a serial with "Create item when receiving".
    Receive an issue. Click add item.
    Test cloning subfield.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
Comment 11 Katrin Fischer 2020-02-14 14:42:01 UTC
Created attachment 98949 [details] [review]
Bug 24649: Fix two other missing <li> tags for cloned subfields

Same problem as previous patch in Batch item modification as well as
serial-edit.pl.

Test plan:
[1] Go to Tools/Batch item modification.
    Test cloning subfield on batchMod-edit.
[2] Go to a serial with "Create item when receiving".
    Receive an issue. Click add item.
    Test cloning subfield.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2020-02-14 14:56:12 UTC
Created attachment 98958 [details] [review]
Bug 24649: Fix missing <li> tag on item editor for cloned subfield

Instead of the parentNode (which is a div), we need the parent of the div
(which is a li).
So a simple fix.

Test plan:
To see the difference, test first without patch applied:
Mark item subfield, say URI, as repeatable.
Clone that subfield in item editor.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2020-02-14 14:56:16 UTC
Created attachment 98959 [details] [review]
Bug 24649: Fix two other missing <li> tags for cloned subfields

Same problem as previous patch in Batch item modification as well as
serial-edit.pl.

Test plan:
[1] Go to Tools/Batch item modification.
    Test cloning subfield on batchMod-edit.
[2] Go to a serial with "Create item when receiving".
    Receive an issue. Click add item.
    Test cloning subfield.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Marcel de Rooy 2020-02-17 07:36:12 UTC
(In reply to Katrin Fischer from comment #13)
> Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Thx Aleisha and Katrin
Comment 15 Martin Renvoize 2020-02-17 10:46:10 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 16 Joy Nelson 2020-03-05 01:22:06 UTC
Pushed to 19.11.x branch for 19.11.04
Comment 17 Lucas Gass 2020-03-09 20:29:23 UTC
backported to 19.05.x for 19.05.09